changeset 52:6d6551a37687

Add make to mini-native (required one more option switched on in uClibc), add bash and to mini-native (tweak symlink creation code to handle bash-2.04b), clean busybox source after build properly.
author Rob Landley <rob@landley.net>
date Wed, 20 Dec 2006 01:36:36 -0500
parents f96f7a24642a
children 3fd961e31444
files download.sh include.sh mini-native.sh sources/configs/armv4l
diffstat 4 files changed, 43 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/download.sh	Tue Dec 19 01:29:17 2006 -0500
+++ b/download.sh	Wed Dec 20 01:36:36 2006 -0500
@@ -52,6 +52,10 @@
 SHA1=41ed86d941b9c8025aee45db56c0283169dcab3d \
 download &&
 
+URL=http://ftp.gnu.org/gnu/bash/bash-2.05b.tar.gz \
+SHA1=b3e158877f94e66ec1c8ef604e994851ee388b09 \
+download &&
+
 echo === Got all source. &&
 
 cleanup_oldfiles
--- a/include.sh	Tue Dec 19 01:29:17 2006 -0500
+++ b/include.sh	Wed Dec 20 01:36:36 2006 -0500
@@ -3,7 +3,7 @@
 function download()
 {
   FILENAME=`echo "$URL" | sed 's .*/  '`
-  BASENAME=`echo "$FILENAME" | sed -r -e 's/-*([0-9\.]|-rc)*(\.tar\..z2*)$/\2/'`
+  BASENAME=`echo "$FILENAME" | sed -r -e 's/-*([0-9\.]|-rc|[0-9][a-zA-Z])*(\.tar\..z2*)$/\2/'`
 
   if [ ! -z "$LINKDIR" ]
   then
--- a/mini-native.sh	Tue Dec 19 01:29:17 2006 -0500
+++ b/mini-native.sh	Wed Dec 20 01:36:36 2006 -0500
@@ -9,8 +9,6 @@
 # Purple.  And why not?
 echo -e "\e[35m"
 
-[ $? -ne 0 ] && dienow
-
 # Build and install Linux kernel.
 
 setupfor linux
@@ -52,7 +50,7 @@
   ln -s busybox "${TOOLS}/bin/$i" || dienow
 done
 cd .. &&
-$CLEANUP busybox
+$CLEANUP busybox-*
 
 [ $? -ne 0 ] && dienow
 
@@ -117,9 +115,44 @@
 
 [ $? -ne 0 ] && dienow
 
+# Build and install make
+
+setupfor make
+CC="${ARCH}-gcc" ./configure --prefix="${TOOLS}" --build="${CROSS_HOST}" \
+  --host="${CROSS_TARGET}" &&
+make &&
+make install &&
+cd .. &&
+$CLEANUP make-*
+
+[ $? -ne 0 ] && dienow
+
+# Build and install bash.  (Yes, this is an old version.  I prefer it.)
+# I plan to replace it with toysh anyway.
+
+setupfor bash
+# wire around some tests ./configure can't run when cross-compiling.
+cat > config.cache << EOF &&
+ac_cv_func_setvbuf_reversed=no
+bash_cv_sys_named_pipes=yes
+bash_cv_have_mbstate_t=yes
+EOF
+CC="${ARCH}-gcc" ./configure --prefix="${TOOLS}" --build="${CROSS_HOST}" \
+  --host="${CROSS_TARGET}" --cache-file=config.cache \
+ --without-bash-malloc --disable-readline &&
+make &&
+make install &&
+# Make bash the default shell.
+ln -s bash "${TOOLS}/bin/sh" &&
+cd .. &&
+$CLEANUP bash-*
+
+[ $? -ne 0 ] && dienow
+
+
 fi
 
 # Packaging goes here
 
 # Color back to normal
-echo -e "\e[0m"
+echo -e "\e[0mBuild complete"
--- a/sources/configs/armv4l	Tue Dec 19 01:29:17 2006 -0500
+++ b/sources/configs/armv4l	Wed Dec 20 01:36:36 2006 -0500
@@ -163,7 +163,7 @@
 # UCLIBC_HAS_WORDEXP is not set
 # UCLIBC_HAS_FTW is not set
 UCLIBC_HAS_GLOB=y
-# UCLIBC_HAS_GNU_GLOB is not set
+UCLIBC_HAS_GNU_GLOB=y
 
 #
 # Library Installation Options